> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.treet.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shops

> Enables external partners to look up Treet shop metadata and details using platform identifiers. Main use case is to allow external partners to construct entrypoints to Treet shops.



## OpenAPI

````yaml GET /v1/shops
openapi: 3.0.1
info:
  title: OpenAPI Treet Listings
  description: Treet API to manage brand store listings
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.treet-test.co
security:
  - ClientIdAuth: []
    ApiKeyAuth: []
paths:
  /v1/shops:
    get:
      summary: Get shops
      description: >-
        Enables external partners to look up Treet shop metadata and details
        using platform identifiers. Main use case is to allow external partners
        to construct entrypoints to Treet shops.
      parameters:
        - name: shopIdentifierType
          in: query
          required: true
          description: The type of shop identifier.
          schema:
            type: string
            enum:
              - SHOPIFY_DOMAIN
        - name: shopIdentifier
          in: query
          required: true
          description: >-
            The corresponding identifier value (e.g., brandname.myshopify.com if
            shopIdentifierType is SHOPIFY_DOMAIN)
          schema:
            type: string
      responses:
        '200':
          description: Shop response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ShopObject'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server Errors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ShopObject:
      required:
        - treetShopName
        - countryCodes
        - url
        - treetId
      type: object
      properties:
        treetShopName:
          description: The Treet shop name for the brand
          type: string
          example: Brand Apparel Pre-Loved
        countryCodes:
          description: Array of country codes where the shop operates
          type: array
          items:
            type: string
          example:
            - FR
            - DE
        styles:
          description: Styling configuration for the shop
          type: object
          properties:
            primaryButtonBackgroundColor:
              description: Background color for primary buttons
              type: string
              example: '#007bff'
            primaryButtonFontColor:
              description: Font color for primary buttons
              type: string
              example: '#ffffff'
            primaryButtonBorder:
              description: Border style for primary buttons
              type: string
              example: '1px solid #007bff'
        url:
          description: The canonical root URL of the Treet shop
          type: string
          example: https://brand-eu.treet.co
        treetId:
          description: The internal Treet identifier for the shop
          type: string
          example: brand
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    ClientIdAuth:
      type: apiKey
      in: header
      name: X-Treet-Client-Id
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Treet-Authentication-Key

````